求助:急!"无法运行/usr/sbin/synaptic"作为root用户,内在授权机制(sudo)不允许您运行此程

为当前最终发行版之前的所有版本提供支持
回复
guns n roses
帖子: 4
注册时间: 2007-06-29 23:23
送出感谢: 0
接收感谢: 0

求助:急!"无法运行/usr/sbin/synaptic"作为root用户,内在授权机制(sudo)不允许您运行此程

#1

帖子 guns n roses » 2007-07-11 20:15

想安装wine,结果点新立得软件包管理器,输入密码后就出现"无法运行/usr/sbin/synaptic"作为root用户,内在授权机制(sudo)不允许您运行此程序请联系系统管理员".的提示.
开始还密码错误,可是我单用户更改root密码后,还是这样....这是为什么呢???
包括我运行更新管理器,点击更新时,也是出现这样的提示:

无法运行 /usr/sbin/synaptic '--hide-main-window' '--non-interactive' '--parent-window-id' '33554435' '--progress-str' '请稍等,这需要花一些时间。' '--finish-str' '更新完成' '--set-selections-file' '/tmp/tmpEVnenh' 作为用户 root.

内在授权机制(sudo)不允许您运行此程序。请联系系统管理员。

求助,谢谢!!!!
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-07-11 20:18

你用的是系统刚装好时的用户还是后来自己建的?
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
shecenon
帖子: 42
注册时间: 2007-10-15 18:54
送出感谢: 0
接收感谢: 0

#3

帖子 shecenon » 2007-10-16 22:23

偶也遇到同样的问题。高手来解答呀!!!
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#4

帖子 stlxv » 2007-10-16 22:27

你就简单的执行

代码: 全选

sudo chmod 555 /usr/bin/synaptic
就行了
PHP是最好的语言!不服来战!
回复

回到 “老旧版本支持”